%define         tarname isa-l

Name:           libisal
Version:        2.31.0
Release:        1
Summary:        Intel(R) Intelligent Storage Acceleration Library

License:        BSD
URL:            https://01.org/intel®-storage-acceleration-library-open-source-version/
Source0:        https://github.com/intel/isa-l/archive/v%{version}.tar.gz


BuildRequires:  nasm
BuildRequires:  automake >= 1.14
BuildRequires:  libtool
Requires:       nasm

%description
Collection of low-level functions used in storage applications.
Contains fast erasure codes that implement a general
Reed-Solomon type encoding for blocks of data that helps protect against
erasure of whole blocks. The general ISA-L library contains an expanded
set of functions used for data protection, hashing, encryption, etc.
.
This package contains the shared library.

%package devel
Summary: Intel(R) Intelligent Storage Acceleration Library - devel files
Requires:       %{name} = %{version}
%description devel
Collection of low-level functions used in storage applications.
Contains fast erasure codes that implement a general
Reed-Solomon type encoding for blocks of data that helps protect against
erasure of whole blocks. The general ISA-L library contains an expanded
set of functions used for data protection, hashing, encryption, etc.
.
This package contains the development files needed to build against the shared
library.


%prep
%setup -q -n %{tarname}-%{version}
./autogen.sh


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc README.md
%license LICENSE
%{_bindir}/*
%{_libdir}/*
%{_mandir}/*

%files devel
%{_includedir}/*


%changelog
* Tue Mar 12 2024 liweigang <liweiganga@uniontech.com> - 2.31.0-1
- update to version 2.31.0
- add yaml

* Sun Feb 18 2024 lvgenggeng <lvgenggeng@uniontech.com> - 2.29.0-4
- add license and readme file to prefered dir

* Tue Sep 19 2023 zhoujing zhoujing106@huawei.com - 2.29.0-3
- Backport upstream code which fixed clang build fail

* Thu Sep 10 2020 Guoshuai Sun <sunguoshuai@huawei.com> - 2.29.0-2
- Change libisal-devel install deps from libisal-common to libisal

* Wed Jun 10 2020 Yikun Jiang <yikunkero@gmail.com> - 2.29.0
- Init 2.29.0 version
